Subject: [bug#35794] [PATCH] services: guix-publish: Log to a file.

From: Christopher Baines <[email-masked]>
Date: Fri, 31 May 2019 18:35:32 +0100

Ludovic Courtès <[email-masked]> writes:

> Christopher Baines <[email-masked]> skribis:
>
>> +                      #:log-file "/var/log/guix-publish.log"))
>
> It’d probably make sense to extend ‘rottlog-service-type’ in a
> subsequent patch so that this file is automatically rotated (especially
> since it can grow pretty quickly.)

Sure, I've set another patch to this effect. I'm not sure what the
optimal rotation frequency is, or what the options are, so I've just
left it as the default for now.